## Push Message Batch `client.queues.messages.bulkPush(stringqueueId, MessageBulkPushParamsparams, RequestOptionsoptions?): MessageBulkPushResponse` **post** `/accounts/{account_id}/queues/{queue_id}/messages/batch` Push a batch of message to a Queue ### Parameters - `queueId: string` A Resource identifier. - `params: MessageBulkPushParams` - `account_id: string` Path param: A Resource identifier. - `delay_seconds?: number` Body param: The number of seconds to wait for attempting to deliver this batch to consumers - `messages?: Array` Body param - `MqQueueMessageText` - `body?: string` - `content_type?: "text"` - `"text"` - `delay_seconds?: number` The number of seconds to wait for attempting to deliver this message to consumers - `MqQueueMessageJson` - `body?: unknown` - `content_type?: "json"` - `"json"` - `delay_seconds?: number` The number of seconds to wait for attempting to deliver this message to consumers ### Returns - `MessageBulkPushResponse` - `errors?: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages?: Array` - `success?: true` Indicates if the API call was successful or not. - `true` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.queues.messages.bulkPush('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.errors); ``` #### Response ```json { "errors": [ { "code": 7003, "message": "No route for the URI", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "success": true } ```